/*
 * Copyright (C) 2020, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef CLIPBOARD_H
#define CLIPBOARD_H

#include <QObject>
#include <QClipboard>
#include <QApplication>
#include <QDebug>
#include "global/kaglobal.h"

class Clipboard : public QObject
{
    Q_OBJECT
public:
    explicit Clipboard(QObject *parent = nullptr);
    QString getClipText();
    bool isScribeWordsDisabled();
    void clearClipText();
    bool isScribeWordsVisible();
    void setText(const QString &text);

private:
    bool scribeWordsDisabled = false;
    QClipboard *selectClip = nullptr;

signals:
    void selectWords();
public slots:
    void onScribeWordsDisabled();
    void onScribeWordsIsabled();
};

#endif // CLIPBOARD_H
